주문 취소 API
curl --request PATCH \
--url https://api.steppay.kr/api/v1/cover/order/cancel/{orderId} \
--header 'Secret-Token: <api-key>'import requests
url = "https://api.steppay.kr/api/v1/cover/order/cancel/{orderId}"
headers = {"Secret-Token": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'Secret-Token': '<api-key>'}};
fetch('https://api.steppay.kr/api/v1/cover/order/cancel/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"customer": {
"id": 123,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"partnerCustomerId": "<string>"
},
"amount": 123,
"amountReturned": 123,
"items": [
{
"quantity": 123,
"price": {
"id": 123,
"name": "<string>",
"partnerPriceId": "<string>",
"product": {
"id": 123,
"name": "<string>",
"partnerProductId": "<string>",
"featuredImageUrl": "<string>"
},
"price": 123,
"isRecurring": true,
"recurringIntervalCount": 123
}
}
],
"partnerOrderId": "<string>",
"canceledDate": "2023-11-07T05:31:56Z",
"paymentDate": "2023-11-07T05:31:56Z",
"idKey": "<string>",
"retryDate": "2023-11-07T05:31:56Z"
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}커버 API
주문 취소 API
주문을 취소 상태로 바꿉니다. 결제 복구 시나리오가 멈춥니다.
PATCH
/
api
/
v1
/
cover
/
order
/
cancel
/
{orderId}
주문 취소 API
Authorizations
Path Parameters
주문 ID
Response
주문 상태 변경됨
주문 ID - 다른 API 호출에 사용되므로 해당 주문 정보와 함께 저장해놓고 사용하세요.
고객 정보
Show child attributes
Show child attributes
주문 금액
환불 금액
주문 항목
Show child attributes
Show child attributes
주문 상태
Available options:
CREATED, PAID, CANCEL_REQ, CANCELED, CHANGE_REQ, CHANGE_PROCESS, CHANGED, RETURN_REQ, RETURN_PROCESS, RETURNED, PREPARING, SHIPPING, FULFILLED, FULL_REFUND, PARTIAL_REFUND, PAYMENT_FAILURE 가맹점에서 사용하는 주문의 unique ID
주문 취소 시점
주문 결제 시점
스텝페이 주문 idKey
다음 결제 시도 시점 - 시나리오에 의해서 계산된 시점입니다. 해당 시점에 다시 결제를 시도해주세요(실패 주문을 생성했을 때 포함됩니다).
⌘I